Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 102356 - [patch] app-misc/mc-4.6.0-r14 smb-vfs built without LFS support on amd64, 2 segfaults in configure
Summary: [patch] app-misc/mc-4.6.0-r14 smb-vfs built without LFS support on amd64, 2 s...
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Heinrich Wendel (RETIRED)
URL:
Whiteboard:
Keywords:
: 104889 111320 113926 117169 118023 121801 124579 125489 126478 126535 127802 128591 129735 130162 130316 (view as bug list)
Depends on: 130299
Blocks: 122768
  Show dependency tree
 
Reported: 2005-08-13 05:35 UTC by Holger Thon
Modified: 2006-05-19 05:31 UTC (History)
31 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mc-4.6.0-smb-amd64.patch (mc-4.6.0-smb-amd64.patch,1.41 KB, patch)
2005-08-13 05:38 UTC, Holger Thon
Details | Diff
mc-4.6.0-r14.ebuild (mc-4.6.0-r14.ebuild,3.85 KB, text/plain)
2005-08-13 05:40 UTC, Holger Thon
Details
emerge --info (amd64-emerge-info.txt,2.87 KB, text/plain)
2005-11-17 03:24 UTC, Tres 'RiverRat' Melton
Details
The patch for the ebuild that I was mentioning in my previous comment (mc.patch,1.01 KB, patch)
2006-02-20 11:55 UTC, Andrei Slavoiu
Details | Diff
Ebuild for mc-4.6.1 and the necessary patches (mc-4.6.1.tar.bz2,38.62 KB, application/octet-stream)
2006-03-19 09:38 UTC, SpOeK
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Holger Thon 2005-08-13 05:35:47 UTC
two segmentation faults when running vfs/smb/configure:
1rst) test determining kernel version
      => vfs/smb compiled without LFS support
2nd)  test crypt() for need of truncated salt argument


Reproducible: Always
Steps to Reproduce:
1. FEATURES="noclean" USE="samba" emerge app-misc/mc
2. dmesg|grep segf
3. grep -8 Segm ${WORKDIR}/${P}/vfs/smb/config.log|less

Actual Results:  
Internal libsmbclient for smb-vfs compiled without LFS support

Expected Results:  
LFS support should be enabled

Some functions seem not to be declared when generating the object file.
Guess amd64 gcc provides a prototype which defaults to int return type and
argument type, so stack parts maybe overwritten when actually calling the linked
function.
Comment 1 Holger Thon 2005-08-13 05:38:10 UTC
Created attachment 65825 [details, diff]
mc-4.6.0-smb-amd64.patch

Bugfix: Included missing declarations and added missing typecast
Comment 2 Holger Thon 2005-08-13 05:40:08 UTC
Created attachment 65826 [details]
mc-4.6.0-r14.ebuild

Modified -r14 ebuild applying the patch
Comment 3 Holger Thon 2005-08-14 06:01:16 UTC
Output of emerge --info:

Gentoo Base System version 1.6.13
Portage 2.0.51.22-r2 (default-linux/amd64/2005.0, gcc-3.4.3, glibc-2.3.5-r0,
2.6.12-gentoo-r6 x86_64)
=================================================================
System uname: 2.6.12-gentoo-r6 x86_64 AMD Athlon(tm) 64 Processor 3000+
ccache version 2.3 [disabled]
dev-lang/python:     2.3.5
sys-apps/sandbox:    1.2.11
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /opt/openjms/config /usr/kde/2/share/config
/usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown
/usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown
/usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib64/mozilla/defaults/pref
/usr/share/config /usr/share/texmf/dvipdfm/config/
/usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/
/usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/bind
/var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2"
DISTDIR="/opt/gentoo/distfiles"
FEATURES="autoconfig buildpkg distlocks fixpackages nostrip sandbox sfperms strict"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror"
MAKEOPTS="-j2"
PKGDIR="/opt/gentoo/packages"
PORTAGE_TMPDIR="/tmp/portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage.overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X acl alsa bash-completion berkdb bitmap-fonts bzip2 cdr chroot crypt
cscope cups dedicated dga doc dvd eds emacs emul-linux-x86 examples fam
foomaticdb fortran gif gpm gtkhtml imagemagick imlib ipv6 ithreads jpeg junit
libwww linguas_de linguas_en_GB linguas_fr linguas_it lzw lzw-tiff maildir
makecheck mbox mhash mp3 ncurses nls nptl ogg opengl pam pcre perl pic plotutils
png python readline ruby scanner sdl source spell ssl tcltk tcpd tetex threads
tiff truetype truetype-fonts type1-fonts unicode userlocales vhosts vorbis xine
xpm xv zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS
Comment 4 Holger Thon 2005-08-27 09:57:24 UTC
same bug with 2005.1 profile; is solved by above patch
Comment 5 gyaresu 2005-10-09 19:13:35 UTC
Ok, so i'm pretty sure that this is the bug i'm experiencing.
This might not be the right place to ask but I don't know how to apply the patch 
/s and would appreciate a brief description. I'm sure that it would make a great 
http://gentoo-wiki.com entry under the "How To" section.

------------------
sdf gyaresu # emerge --info
Portage 2.0.53_rc4 (default-linux/amd64/2005.1, gcc-3.4.4, glibc-2.3.5-r1, 2.6.
12-2005-09-17 x86_64)
=================================================================
System uname: 2.6.12-2005-09-17 x86_64 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.12.0_pre8
dev-lang/python:     2.3.5-r2, 2.4.1-r1
sys-apps/sandbox:    1.2.13
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.20
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -pipe -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/
share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /
usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon64 -pipe -O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://mirror.internode.on.net/pub/gentoo/"
LC_ALL="en_US.UTF-8"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.au.gentoo.org/gentoo-portage"
USE="amd64 X a52 alsa avi berkdb bitmap-fonts cdr crypt css cups curl debug dts 
dv dvd dvdr dvdread eds emboss encode esd fam fame ffmpeg flac foomaticdb 
fortran gif gnome gpm gstreamer gtk gtk2 hal imagemagick imlib ipv6 jpeg kde 
live lzw lzw-tiff mad matroska mbrola motif mp3 mpeg musepack ncurses nls ogg 
oggvorbis opengl pam pdflib perl png python qt quicktime readline real samba sdl 
spell ssl subtitles tcpd theora tiff truetype-fonts type1-fonts usb userlocales 
vorbis xine xinerama xml2 xmms xpm xv xvid zlib userland_GNU kernel_linux 
elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LDFLAGS, LINGUAS, PORTDIR_OVERLAY


--------tail of "$ emerge mc"---------
../vfs/libvfs-mc.a(smbfs.o): In function `smbfs_get_path':
smbfs.c:(.text+0x2422): undefined reference to `write_socket'
collect2: ld returned 1 exit status
make[2]: *** [mc] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/var/tmp/portage/mc-4.6.0-r14/work/mc-4.6.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/mc-4.6.0-r14/work/mc-4.6.0'
make: *** [all] Error 2

!!! ERROR: app-misc/mc-4.6.0-r14 failed.
------------------

Comment 6 Holger Thon 2005-10-11 05:06:41 UTC
Hard to tell why mc does not link, perhaps you can provide the last lines before
this one:
../vfs/libvfs-mc.a(smbfs.o): In function `smbfs_get_path':
smbfs.c:(.text+0x2422): undefined reference to `write_socket'
collect2: ld returned 1 exit status

A guess would be that your libsmbclient.so is broken or mc ldflags miss
-lsmbclient in your Makefile. nm -D /usr/lib/libsmbclient.so|grep write_data
should provide a line with the last 2 columns identically:
000000000005dd70 T write_data

I already found documentation on gentoo-wiki.com:

http://gentoo-wiki.com/HOWTO_Installing_3rd_Party_Ebuilds

The third party stuff is the original in $PORTDIR plus these files, so you'd
probably do:
Follow doc until placing the ebuilds, i.e. prepare category dir:
cd $PORTDIR_OVERLAY
mkdir -p app-misc

copy the old ebuild:
cp -a $PORTDIR/app-misc/mc $PORTDIR_OVERLAY/app-misc/

copy the "patches"
cp mc-4.6.0-smb-amd64.patch $PORTDIR_OVERLAY/app-misc/mc/files
cp mc-4.6.0-r14.ebuild $PORTDIR_OVERLAY/app-misc/mc

continue with digesting the ebuild

[replace $PORTDIR with /usr/portage or your PORTDIR in /etc/make.conf,
 replace $PORTDIR_OVERLAY with your PORTDIR_OVERLAY in /etc/make.conf]

HTH
Comment 7 Jakub Moc (RETIRED) gentoo-dev 2005-11-03 00:23:35 UTC
*** Bug 104889 has been marked as a duplicate of this bug. ***
Comment 8 Jakub Moc (RETIRED) gentoo-dev 2005-11-03 00:23:45 UTC
*** Bug 111320 has been marked as a duplicate of this bug. ***
Comment 9 Jakub Moc (RETIRED) gentoo-dev 2005-11-03 00:50:05 UTC
*** Bug 111320 has been marked as a duplicate of this bug. ***
Comment 10 Vladimir Pouzanov 2005-11-03 07:16:53 UTC
The patch doesn't help. I have x86 system but the same problem:

../vfs/libvfs-mc.a(smbfs.o): In function `smbfs_get_path':
smbfs.c:(.text+0x2422): undefined reference to `write_socket'
collect2: ld returned 1 exit status
make[2]: *** [mc] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/var/tmp/portage/mc-4.6.0-r14/work/mc-4.6.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/mc-4.6.0-r14/work/mc-4.6.0'
make: *** [all] Error 2
Comment 11 Simonas Leleiva 2005-11-08 12:17:03 UTC
same here guyz -- ON x86 platform! i really need mc w/ smbfs support so please
do not suggest USE="-samba"here ;)

thanks!

i686-pc-linux-gnu-gcc -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -O2
-march=pen
tium3 -pipe -I/usr/include/gssapi -Wall   -o mcmfmt  mfmt.o  
i686-pc-linux-gnu-gcc -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -O2
-march=pen
tium3 -pipe -I/usr/include/gssapi -Wall   -o man2hlp  man2hlp.o -lglib-2.0   
../vfs/libvfs-mc.a(smbfs.o): In function `smb_send':
smbfs.c:(.text+0x1149): undefined reference to `write_socket'
collect2: ld returned 1 exit status
make[2]: *** [mc] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/var/tmp/portage/mc-4.6.0-r14/work/mc-4.6.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/mc-4.6.0-r14/work/mc-4.6.0'
make: *** [all] Error 2

!!! ERROR: app-misc/mc-4.6.0-r14 failed.
!!! Function src_compile, Line 99, Exitcode 2


Portage 2.0.53_rc6 (default-linux/x86/2005.1, gcc-3.3.6, glibc-2.3.5-r2,
2.6.13-gentoo-r4-stablis i686)
=================================================================
System uname: 2.6.13-gentoo-r4-stablis i686 Intel(R) Pentium(R) M processor 2.00GHz
Gentoo Base System version 1.12.0_pre9
dev-lang/python:     2.3.5-r2, 2.4.2
sys-apps/sandbox:    1.2.13
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.20
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium3 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config
/usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=pentium3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="lt_LT.utf8"
LC_ALL="lt_LT.utf8"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 X aalib alsa apm avi berkdb bitmap-fonts crypt cups curl eds emboss
encode fam flac foomaticdb fortran gdbm gif gpm gstreamer gtk gtk2 imlib ipv6
jpeg ldap libg++ libwww mad mikmod motif mp3 mpeg ncurses nls ogg oggvorbis
opengl oss pam pdflib perl png python qt quicktime readline samba sdl spell
sqlite ssl svga tcpd tiff truetype truetype-fonts type1-fonts udev unicode
vorbis xml2 xmms xv zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LDFLAGS, LINGUAS
Comment 12 Eddy Mulyono 2005-11-14 21:46:56 UTC
Portage failed to emerge mc-4.6.0-r14. r12 and r13 also failed.

I didn't use the patch, because I didn't find any segfaults after grepping dmesg
and config.log.

I noticed that vfs/samba/lib/util_sock.c contains write_socket(). But
vfs/samba/* was never built. I had to go into vfs/samba and `./configure && make
` to get util_sock.o.

Is MC under Gentoo built using the system's samba or the included samba?

I have net-fs/samba-3.0.20b with these USE flags:
-acl -async -automount +cups -doc -examples -kerberos -ldap -ldapsam -libclamav
-mysql -oav +pam -postgres +python -quotas +readline (-selinux) -swat -syslog
-winbind -xml +xml2

Failing emerge line:
gcc -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -Wall   -o mc
achown.o background.o boxes.o chmod.o chown.o cmd.o color.o command.o complete.o
cons.handler.o dialog.o dir.o dlg.o ext.o file.o filegui.o filenot.o fileopctx.o
find.o findme.o fsusage.o help.o hotlist.o info.o key.o keyxdef.o layout.o
learn.o listmode.o main.o menu.o mountlist.o mouse.o option.o panelize.o popt.o
poptconfig.o popthelp.o poptparse.o profile.o regex.o rxvt.o screen.o setup.o
slint.o subshell.o terms.o text.o textconf.o tree.o treestore.o user.o util.o
utilunix.o view.o widget.o win.o wtools.o ../edit/libedit.a
../slang/libmcslang.a ../vfs/libvfs-mc.a  -lglib-2.0   -lSM -lICE -lX11  -lgpm
-lsmbclient
../vfs/libvfs-mc.a(smbfs.o): In function `smb_send':
/var/tmp/portage/mc-4.6.0-r14/work/mc-4.6.0/vfs/smbfs.c:592: undefined reference
to `write_socket'
collect2: ld returned 1 exit status
make[2]: *** [mc] Error 1
make[2]: Leaving directory `/var/tmp/portage/mc-4.6.0-r14/work/mc-4.6.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/mc-4.6.0-r14/work/mc-4.6.0'
make: *** [all] Error 2

`emerge info` output:
Portage 2.0.53_rc7 (default-linux/x86/2005.1, gcc-3.3.6, glibc-2.3.6-r0,
2.6.14-gentoo-r2 i686)
=================================================================
System uname: 2.6.14-gentoo-r2 i686 AMD Athlon(tm) XP 2600+
Gentoo Base System version 1.12.0_pre10
dev-lang/python:     2.3.5, 2.4.2
sys-apps/sandbox:    1.2.13
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.20-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/linux/distributions/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext X aac acpi aim alsa apache2 apm atk audiofile avi berkdb
bidi bitmap-fonts bzip2 cdparanoia cdr cjk crypt cups curses dbus dvd eds emacs
encode esd exif expat fam ffmpeg firefox flac foomaticdb freetype gdbm gif gnome
gpm gstreamer gtk gtk2 hal icq imlib ipv6 java jpeg lcms libg++ libwww live mad
matroska mikmod mmx mng monkey motif mozcalendar mozdevelop mozilla mozsvg mp3
mpeg msn ncurses nls nptl nvidia ogg oggvorbis opengl oscar oss pam pdflib perl
pic png ppds python quicktime readline real samba slang speex spell sse ssl svg
tcpd theora tiff truetype truetype-fonts type1-fonts udev unicode usb utf8 vcd
vorbis win32codecs xinerama xml2 xv xvid yahoo zlib userland_GNU kernel_linux
elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTDIR_OVERLAY
Comment 13 Eddy Mulyono 2005-11-14 22:42:48 UTC
mc-4.6.1 works for me. It compiled fine with samba USE flag. See bug #112578 for
the ebuild. (Please test the samba support).
Comment 14 Tres 'RiverRat' Melton 2005-11-17 03:24:03 UTC
Created attachment 73067 [details]
emerge --info

The patch in comment #1 should be applied.  (I've been bitten by that issue on
AMD64 and implicit function definitions so I know that is the correct
solution).

I've been using 4.6.0-r13 for sometime with no issues.	It does have samba
compiled in but I have no windows boxes to test with.  I just upgraded to
mc-4.6.0-r14 and it compiled and ran just fine with the samba USE flag.  I
couldn't test the samba stuff though.
Comment 15 Jakub Moc (RETIRED) gentoo-dev 2005-11-29 11:26:37 UTC
*** Bug 113926 has been marked as a duplicate of this bug. ***
Comment 16 booxter 2005-11-30 04:30:08 UTC
Using mc-4.6.1.ebuild is not the right solution because this ebuild doesn't 
support gentoo-patches, f.e. for utf-8 support. This ebuild should be rewriten. 
Comment 17 Jakub Moc (RETIRED) gentoo-dev 2005-12-30 02:28:40 UTC
*** Bug 117169 has been marked as a duplicate of this bug. ***
Comment 18 Mark (voidzero) 2005-12-30 06:05:12 UTC
I see this applied to AMD64 but to me it happens on an x86. A developer might want to reflect that in this bugreport.
Comment 19 Jakub Moc (RETIRED) gentoo-dev 2006-01-06 04:49:27 UTC
*** Bug 118023 has been marked as a duplicate of this bug. ***
Comment 20 Csaba Tóth 2006-01-07 18:57:17 UTC
pls, this bug is still exists for near 4 months! And mc is used by poeople widely! So pls, pls, pls, fix it (in portage)! ty!
Comment 21 Simon Stelling (RETIRED) gentoo-dev 2006-01-28 02:27:38 UTC
(In reply to comment #20)
> pls, this bug is still exists for near 4 months! And mc is used by poeople
> widely! So pls, pls, pls, fix it (in portage)! ty!

Lanius has been MIA (his last commit was 4.2 months ago), so I put in the patch although I couldn't reproduce the problem at all.
Comment 22 Alexander Skwar 2006-01-29 07:34:46 UTC
(In reply to comment #21)

>  so I put in the patch
> although I couldn't reproduce the problem at all.
> 

Hm. Today I tried to compile app-misc/mc-4.6.0-r14 with USE=samba, and it still fails. Should this now work?

Further, could "RESOLVED FIXED" please be changed? It's not at all fixed. At least not for me.


if i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I..  -DDATADIR=\""/usr/share/mc/"\" -DLOCALEDIR=\""/usr/share/locale"\" -DLIBDIR=\""/usr/lib/mc"\" -I../intl -I../intl -I..  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -O2 -mtune=pentium-m -pipe -fomit-frame-pointer -I/usr/include/gssapi -Wall -MT charsets.o -MD -MP -MF ".deps/charsets.Tpo" \
  -c -o charsets.o `test -f 'charsets.c' || echo './'`charsets.c; \
then mv -f ".deps/charsets.Tpo" ".deps/charsets.Po"; \
else rm -f ".deps/charsets.Tpo"; exit 1; \
fi
if i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I..  -DDATADIR=\""/usr/share/mc/"\" -DLOCALEDIR=\""/usr/share/locale"\" -DLIBDIR=\""/usr/lib/mc"\" -I../intl -I../intl -I..  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -O2 -mtune=pentium-m -pipe -fomit-frame-pointer -I/usr/include/gssapi -Wall -MT selcodepage.o -MD -MP -MF ".deps/selcodepage.Tpo" \
  -c -o selcodepage.o `test -f 'selcodepage.c' || echo './'`selcodepage.c; \
then mv -f ".deps/selcodepage.Tpo" ".deps/selcodepage.Po"; \
else rm -f ".deps/selcodepage.Tpo"; exit 1; \
fi
i686-pc-linux-gnu-gcc -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -O2 -mtune=pentium-m -pipe -fomit-frame-pointer -I/usr/include/gssapi -Wall  -Wl,-O1 -o mc  achown.o background.o boxes.o chmod.o chown.o cmd.o color.o command.o complete.o cons.handler.o dialog.o dir.o dlg.o ext.o file.o filegui.o filenot.o fileopctx.o find.o findme.o fsusage.o help.o hotlist.o info.o key.o keyxdef.o layout.o learn.o listmode.o main.o menu.o mountlist.o mouse.o option.o panelize.o popt.o poptconfig.o popthelp.o poptparse.o profile.o regex.o rxvt.o screen.o setup.o slint.o subshell.o terms.o text.o textconf.o tree.o treestore.o user.o util.o utilunix.o view.o widget.o win.o wtools.o charsets.o selcodepage.o ../edit/libedit.a  ../vfs/libvfs-mc.a ../intl/libintl.a  -lglib-2.0   -lSM -lICE -lX11  -lgpm -lncurses  -lsmbclient
../vfs/libvfs-mc.a(smbfs.o): In function `smbfs_get_path':
smbfs.c:(.text+0x26fb): undefined reference to `write_socket'
collect2: ld gab 1 als Ende-Status zur
Comment 23 Alexander Skwar 2006-01-29 07:34:46 UTC
(In reply to comment #21)

>  so I put in the patch
> although I couldn't reproduce the problem at all.
> 

Hm. Today I tried to compile app-misc/mc-4.6.0-r14 with USE=samba, and it still fails. Should this now work?

Further, could "RESOLVED FIXED" please be changed? It's not at all fixed. At least not for me.


if i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I..  -DDATADIR=\""/usr/share/mc/"\" -DLOCALEDIR=\""/usr/share/locale"\" -DLIBDIR=\""/usr/lib/mc"\" -I../intl -I../intl -I..  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -O2 -mtune=pentium-m -pipe -fomit-frame-pointer -I/usr/include/gssapi -Wall -MT charsets.o -MD -MP -MF ".deps/charsets.Tpo" \
  -c -o charsets.o `test -f 'charsets.c' || echo './'`charsets.c; \
then mv -f ".deps/charsets.Tpo" ".deps/charsets.Po"; \
else rm -f ".deps/charsets.Tpo"; exit 1; \
fi
if i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I..  -DDATADIR=\""/usr/share/mc/"\" -DLOCALEDIR=\""/usr/share/locale"\" -DLIBDIR=\""/usr/lib/mc"\" -I../intl -I../intl -I..  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -O2 -mtune=pentium-m -pipe -fomit-frame-pointer -I/usr/include/gssapi -Wall -MT selcodepage.o -MD -MP -MF ".deps/selcodepage.Tpo" \
  -c -o selcodepage.o `test -f 'selcodepage.c' || echo './'`selcodepage.c; \
then mv -f ".deps/selcodepage.Tpo" ".deps/selcodepage.Po"; \
else rm -f ".deps/selcodepage.Tpo"; exit 1; \
fi
i686-pc-linux-gnu-gcc -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -O2 -mtune=pentium-m -pipe -fomit-frame-pointer -I/usr/include/gssapi -Wall  -Wl,-O1 -o mc  achown.o background.o boxes.o chmod.o chown.o cmd.o color.o command.o complete.o cons.handler.o dialog.o dir.o dlg.o ext.o file.o filegui.o filenot.o fileopctx.o find.o findme.o fsusage.o help.o hotlist.o info.o key.o keyxdef.o layout.o learn.o listmode.o main.o menu.o mountlist.o mouse.o option.o panelize.o popt.o poptconfig.o popthelp.o poptparse.o profile.o regex.o rxvt.o screen.o setup.o slint.o subshell.o terms.o text.o textconf.o tree.o treestore.o user.o util.o utilunix.o view.o widget.o win.o wtools.o charsets.o selcodepage.o ../edit/libedit.a  ../vfs/libvfs-mc.a ../intl/libintl.a  -lglib-2.0   -lSM -lICE -lX11  -lgpm -lncurses  -lsmbclient
../vfs/libvfs-mc.a(smbfs.o): In function `smbfs_get_path':
smbfs.c:(.text+0x26fb): undefined reference to `write_socket'
collect2: ld gab 1 als Ende-Status zurück
make[2]: *** [mc] Fehler 1
make[2]: Leaving directory `/Gentoo/Portage/build/portage/mc-4.6.0-r14/work/mc-4.6.0/src'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/Gentoo/Portage/build/portage/mc-4.6.0-r14/work/mc-4.6.0'
make: *** [all] Fehler 2

!!! ERROR: app-misc/mc-4.6.0-r14 failed.
Call stack:
  ebuild.sh, line 1894:   Called dyn_compile
  ebuild.sh, line 941:   Called src_compile

!!! (no error message)
!!! If you need support, post the topmost build error, and the call stack if relevant.


I have samba compiled with these flags:

alexander@blatt /tmp $ emerge -vpt samba

These are the packages that I would merge, in reverse order:

Calculating dependencies ...done!
[ebuild   R   ] net-fs/samba-3.0.20b  USE="async readline syslog xml xml2 -acl -automount -cups -doc -examples -kerberos -ldap -ldapsam -libclamav -mysql -oav -pam -postgres -python -quotas -swat -winbind" 0 kB

Total size of downloads: 0 kB



alexander@blatt /tmp $ emerge info
Portage 2.1_pre4-r1 (default-linux/x86/2005.0, gcc-3.4.5, glibc-2.3.6-r2, 2.6.15-suspend2-r4.041.via-im-kernel i686)
=================================================================
System uname: 2.6.15-suspend2-r4.041.via-im-kernel i686 Intel(R) Celeron(R) M processor         1.50GHz
Gentoo Base System version 1.12.0_pre15
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
dev-lang/python:     2.3.4-r1, 2.4.2
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r3
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -mtune=pentium-m -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -mtune=pentium-m -pipe -fomit-frame-pointer"
DISTDIR="/Gentoo/Portage/distfiles"
FEATURES="autoconfig buildpkg ccache collision-protect distlocks sandbox sfperms strict"
GENTOO_MIRRORS="        http://server.bei.digitalprojects.com/gentoo/   http://stuff.alexander.skwar.name/gentoo/       http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/   http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/    ftp://ftp.tu-clausthal.de/pub/linux/gentoo/     http://distro.ibiblio.org/pub/linux/distributions/gentoo/       ftp://distro.ibiblio.org/pub/linux/distributions/gentoohttp://distfiles.gentoo.org/ "
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
PKGDIR="/Gentoo/Portage/packages"
PORTAGE_TMPDIR="/Gentoo/Portage/build"
PORTDIR="/Gentoo/Portage/tree"
PORTDIR_OVERLAY="/Gentoo/Portage/local-tree/misc /Gentoo/Portage/local-tree/overlays/gentoo-de"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="x86 GAPING_SECURITY_HOLE X acpi alsa amd apm arts artswrappersuid async avi bdf berkdb bitmap-fonts bluetooth bootsplash cairo caps cardbus ccache cdda cddb cdio cdparanoia cdr cdrom cle266 crypt css curlwrappers dbus devmap dillo divx4linux dlloader dvd dvdread emoticon esd exif fam fbcon fbdev firefox fping freetype gdbm gif gnokii gnome gstreamer gtk gtk2 hal hpn icc id3 idn imap imlib imlib2 insecure-drivers insecure-savers javascript jikes jpeg kde kdeenablefinal libedit libwww linuxthreads-tls logrotate lynxkeymap mad madwifi maildir matroska mbox mmx mmxext mozilla moznoirc mozsvg mp3 mpeg mpeg2 mpeg4 mplayer multicall ncurses netboot network new-login nfs nis nls no-old-linux no-suexec noantlr nobcel nobeanutils nobsf nobsh nocd nocommonslogging nocommonsnet nodrm nogg nogulm nojsch nojython nolog4j nomac nooro nopri norhino noxalan noxerces nozaptel nptl nsplugin offensive ogg oggvorbis opengl openssh pam_console pam_timestamp passfile password patented pccts pcmcia pcre perl perlsuid pic player png pnp qt quicktime rar readline real recode reiserfs sdl sendfile sensord sftp sms spell spf sse sse2 ssl startup-notification stream subp subtitles suid symlink sysfs syslog tiff transcode truetype truetype-fonts trusted type1-fonts underscores unichrome unicode unsafe usb utf8 uudeview vim vim-pager vlm vorbis wifi win32codecs wma123 x11vnc xinetd xml xml2 xmms xpm xscreensaver xv xvid xvmc zlib elibc_glibc kernel_linux linguas_de userland_GNU video_cards_via"
Unset:  ASFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, LC_ALL, MAKEOPTS

Comment 24 Csaba Tóth 2006-01-29 21:51:45 UTC
the same error for me :(
Comment 25 Jakub Moc (RETIRED) gentoo-dev 2006-02-06 02:52:59 UTC
*** Bug 121801 has been marked as a duplicate of this bug. ***
Comment 26 Jakub Moc (RETIRED) gentoo-dev 2006-02-06 02:54:51 UTC
Sigh... reopen.
Comment 27 Mark (voidzero) 2006-02-06 09:02:43 UTC
I re-added bug-wranglers to the CC list because I hope this bug will get some special attention. Thanks :)
Comment 28 Jakub Moc (RETIRED) gentoo-dev 2006-02-06 09:07:35 UTC
(In reply to comment #26)
> I re-added bug-wranglers to the CC list because I hope this bug will get some
> special attention. Thanks :)

Bug wranglers won't fix this bug.

Comment 29 Mark (voidzero) 2006-02-06 09:10:51 UTC
Well, Surely the way it's headed now doesn't run to a solution... so, what alternative do you suggest? 
Comment 30 Andrei Slavoiu 2006-02-20 11:52:15 UTC
Well, I'm not sure what the sambalib patch was supposed to fix, but at least on my system if I remove it it compiles and works with samba shares correctly. Note that the gcc4 patch and the patch for this bug depend on the sambalib patch so I removed them also.
Comment 31 Andrei Slavoiu 2006-02-20 11:55:09 UTC
Created attachment 80298 [details, diff]
The patch for the ebuild that I was mentioning in my previous comment
Comment 32 Jakub Moc (RETIRED) gentoo-dev 2006-03-01 22:39:42 UTC
*** Bug 124579 has been marked as a duplicate of this bug. ***
Comment 33 Jakub Moc (RETIRED) gentoo-dev 2006-03-08 08:30:56 UTC
*** Bug 125489 has been marked as a duplicate of this bug. ***
Comment 34 Bjarke Istrup Pedersen (RETIRED) gentoo-dev 2006-03-08 16:22:25 UTC
hmm, we are getting more and more dublicates for this bug.
A fix might be to add the ebuild from this bug to portage when it's done: #101522
Comment 35 schaedpq 2006-03-12 13:48:58 UTC
I think, I am having the same bug here, but in addition to the undefined reference to `write_socket' I get another one:

i686-pc-linux-gnu-gcc -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -mtune=pentium3 -march=pentium3 -O2 -pipe -I/usr/include/gssapi -Wall   -o cons.saver  cons.saver.o
../vfs/libvfs-mc.a(smbfs.o): In function `loaddir_helper':
smbfs.c:(.text+0x1372): undefined reference to `LocalTime'
../vfs/libvfs-mc.a(smbfs.o): In function `smbfs_get_path':
smbfs.c:(.text+0x33dd): undefined reference to `write_socket'
collect2: ld returned 1 exit status

I installed mc before and only tried to reemerge it today because I get 
mc: symbol lookup error: mc: undefined symbol: LocalTime
when I try to start mc.

That started after I updated to net-fs/samba-3.0.21b yesterday. (At least I think so, because the were some more packages which got updated yesterday.)

# emerge --info
Portage 2.0.54 (hardened/x86/2.6, gcc-3.4.5, glibc-2.3.5-r2, 2.6.14-hardened-r3 i686)
=================================================================
System uname: 2.6.14-hardened-r3 i686 Pentium III (Coppermine)
Gentoo Base System version 1.6.14
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
dev-lang/python:     2.3.5-r2, 2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-mtune=pentium3 -march=pentium3 -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-mtune=pentium3 -march=pentium3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distcc distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j3"
PKGDIR="/usr/portage//packages/x86/"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage/"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://linux.rz.ruhr-uni-bochum.de/gentoo-portage"
USE="x86 X X509 a52 aac acpi alsa arts audiofile avi bash-completion berkdb bitmap-fonts browserplugin bzip2 cardbus chroot crypt css cups curl curlwrappers dga directfb dlloader dri dvd exif ffmpeg font-server foomaticdb ftp gd gdbm gif glut gnuplot gs gtk gtk2 hardened idn imap imlib ipv6 jabber java javascript jpeg kde lcms lesstif libedit libwww lzo lzw mad mbox md5sum mhash mime mmx mmxext mng mozilla mozsvg mp3 mpeg mplayer ncurses network nls no_wxgtk1 nodrm nptl nsplugin ntlm offensive ogg opengl pam pam_timestamp pcmcia pcre pdflib perl plotutils png pnp ppds python qt readline recode samba sasl sdl sftplogging slang smime sockets sse ssl tcpd tetex theora tiff truetype truetype-fonts type1 type1-fonts udev usb userlocales vcd vorbis wifi win32codecs xine xml2 xmms xv xvid zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS
Comment 36 Peter Wendrich 2006-03-15 15:09:49 UTC
Same here. mc already installed but upgrading to mc-4.6.0-r14 results in error.

i686-pc-linux-gnu-gcc -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -O3 -march=i686 -pipe -fomit-frame-pointer -I/usr/include/gssapi -Wall   -o mc  achown.o background.o boxes.o chmod.o chown.o cmd.o color.o command.o complete.o cons.handler.o dialog.o dir.o dlg.o ext.o file.o filegui.o filenot.o fileopctx.o find.o findme.o fsusage.o help.o hotlist.o info.o key.o keyxdef.o layout.o learn.o listmode.o main.o menu.o mountlist.o mouse.o option.o panelize.o popt.o poptconfig.o popthelp.o poptparse.o profile.o regex.o rxvt.o screen.o setup.o slint.o subshell.o terms.o text.o textconf.o tree.o treestore.o user.o util.o utilunix.o view.o widget.o win.o wtools.o charsets.o selcodepage.o ../edit/libedit.a  ../vfs/libvfs-mc.a ../intl/libintl.a  -lglib-2.0   -lSM -lICE -lX11  -lncurses  -lsmbclient
../vfs/libvfs-mc.a(smbfs.o): In function `loaddir_helper':
smbfs.c:(.text+0xe3e): undefined reference to `LocalTime'
../vfs/libvfs-mc.a(smbfs.o): In function `smbfs_get_path':
smbfs.c:(.text+0x293b): undefined reference to `write_socket'
collect2: ld returned 1 exit status
make[2]: *** [mc] Error 1
make[2]: Leaving directory `/var/tmp/portage/mc-4.6.0-r14/work/mc-4.6.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/mc-4.6.0-r14/work/mc-4.6.0'
make: *** [all] Error 2

!!! ERROR: app-misc/mc-4.6.0-r14 failed.
Call stack:
  ebuild.sh, line 1557:   Called dyn_compile
  ebuild.sh, line 966:   Called src_compile

!!! (no error message)
!!! If you need support, post the topmost build error, and the call stack if relevant.

localhost peter # emerge --info
Portage 2.1_pre6-r3 (default-linux/x86/2005.0, gcc-3.4.5, glibc-2.4-r0, 2.6.15-gentoo i686)
=================================================================
System uname: 2.6.15-gentoo i686 AMD Athlon(tm) XP 1700+
Gentoo Base System version 1.12.0_pre16
dev-lang/python:     2.3.5, 2.4.2-r1
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r3
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=i686 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-O3 -march=i686 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X aac alsa apm avi berkdb bitmap-fonts bzip2 bzlib cdr crypt cups dri dvd dvdr eds emboss encode foomaticdb fortran gdbm gif gstreamer gtk gtk2 imlib ipv6 jpeg kde libg++ libwww mad mikmod motif mp3 mpeg ncurses nls nptl nptlonly ogg oggvorbis opengl oss pam pdflib perl png python qt quicktime readline samba sdl spell ssl tcpd tiff truetype truetype-fonts type1-fonts vcd vorbis xinerama xml2 xmms xv xvid zlib elibc_glibc kernel_linux userland_GNU"
Unset:  ASFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTDIR_OVERLAY
Comment 37 Jakub Moc (RETIRED) gentoo-dev 2006-03-16 19:50:04 UTC
*** Bug 126478 has been marked as a duplicate of this bug. ***
Comment 38 Olliver Schinagl 2006-03-17 05:27:07 UTC
Just want to confirm, that it still fails with LocalTime and write_socket.
Comment 39 Jakub Moc (RETIRED) gentoo-dev 2006-03-17 07:26:56 UTC
*** Bug 126535 has been marked as a duplicate of this bug. ***
Comment 40 SpOeK 2006-03-17 08:26:42 UTC
(In reply to comment #38)
> *** Bug 126535 has been marked as a duplicate of this bug. ***
> 

I've counted seven bug reports (plus one mine #126535) duplicates of this bug. IMHO this occurs because the title is poorly related to the problem of unresolved symbols and makes difficult to locate this report. Any chance to rename the report's title?
Comment 41 Csaba Tóth 2006-03-17 08:37:55 UTC
(In reply to comment #39)
> (In reply to comment #38)
> > *** Bug 126535 has been marked as a duplicate of this bug. ***
> > 
> 
> I've counted seven bug reports (plus one mine #126535) duplicates of this bug.
> IMHO this occurs because the title is poorly related to the problem of
> unresolved symbols and makes difficult to locate this report. Any chance to
> rename the report's title?
> 

You make wrong question. The right is: "any chance to solve this bug??"
Comment 42 SpOeK 2006-03-19 09:38:40 UTC
Created attachment 82576 [details]
Ebuild for mc-4.6.1 and the necessary patches

I've created an ebuild for mc-4.6.1. Also, I've ported to 4.6.1 the following patches:
mc-4.6.0-find.patch
mc-4.6.0-7zip.path
mc-4.6.0-largefile.patch

The UTF8 support uses the patch mc-4.6.1-utf8.patch and I have taken it from Debian.
I've removed the mc-4.6.0-sambalib-3.0.10.patch.bz2 because on 4.6.1 the samba's vfs seems that has been rebuilt.
The rest of the patches seems that have been commited to the 4.6.1 branch.

This ebuild works for me. If you want to use it, read this guide: http://gentoo-wiki.com/HOWTO_Installing_3rd_Party_Ebuilds
Comment 43 Steve Arnold gentoo-dev 2006-03-25 21:49:50 UTC
It seemed like a reasonable thing to do, so a slightly modified version of the mc-4.6.1 ebuild is now in portage; add to package.keywords for the time being.
Comment 44 Bjarke Istrup Pedersen (RETIRED) gentoo-dev 2006-03-27 04:50:03 UTC
The ebuild also works for me :-)
Great work.

Shouldn't this bug be marked fixed now?
Comment 45 Csaba Tóth 2006-03-27 05:29:25 UTC
No. The problem is with the smb vfs module.
We solve this to removed the module. But this isnt a real solve of the problem. Just a shortcut.
Or if we mark this bug FIXED, i will open another bug to include the samba vfs module into the mc, cos a lot of ppl use it.
Comment 46 SpOeK 2006-03-27 07:22:24 UTC
(In reply to comment #44)
> No. The problem is with the smb vfs module.
> We solve this to removed the module. But this isnt a real solve of the problem.
> Just a shortcut.
> Or if we mark this bug FIXED, i will open another bug to include the samba vfs
> module into the mc, cos a lot of ppl use it.
> 

The samba vfs module remains and works perfectly in mc-4.6.1, at least for me. We've not removed it from the ebuild nor from the mc code.
Comment 47 Csaba Tóth 2006-03-27 09:18:17 UTC
Ohh sorry, i misunderstud your note, if samba vfs is included than i appologise!
Comment 48 Jakub Moc (RETIRED) gentoo-dev 2006-03-28 00:43:02 UTC
*** Bug 127802 has been marked as a duplicate of this bug. ***
Comment 49 Guenther Brunthaler 2006-04-01 08:51:04 UTC
(In reply to comment #12)
> I noticed that vfs/samba/lib/util_sock.c contains write_socket(). But
> vfs/samba/* was never built.

I can confirm this, and I succeeded in linking the "mc" executable after
making /vfs/samba/* by hand and then adding the following library reference to the failing gcc command line: "../vfs/samba/libsamba.a".

The whole command line for linking on my system (x86 with samba) is then:

i686-pc-linux-gnu-gcc -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -march=athlon-tbird -O3 -DNDEBUG -s -pipe -fomit-frame-pointer -fno-stack-check -I/usr/include/gssa
pi -Wall   -o mc  achown.o background.o boxes.o chmod.o chown.o cmd.o color.o command.o complete.o cons.handler.o dialog.o dir.o dlg.o ext.o file.o filegui.o filenot.o fileopctx.o find.o findme.o fsusage.o help.o hotlist.o info.o key.o keyxdef.o layout.o learn.o listmode.o main.o menu.o mountlist.o mouse.o option.o panelize.o popt.o poptconfig.o popthelp.o poptparse.o profile.o regex.o rxvt.o screen.o setup.o slint.o subshell.o terms.o text.o textconf.o tree.o treestore.o user.o util.o utilunix.o view.o widget.o win.o wtools.o charsets.o selcodepage.o ../edit/libedit.a  ../vfs/libvfs-mc.a ../intl/libintl.a  -lglib-2.0 ../vfs/samba/libsamba.a  -lSM -lICE -lX11  -lgpm -lslang -lsmbclient

(Note that the "../vfs/samba/libsamba.a" has been added manually to make it work.)

So it seems the problem is that libsamba.a is neither built nor included in the list of libraries to be linked against.

Seens there is a problem with the top-level make file which should include the vfs/samba sub-project but it doesn't.
Comment 50 Guenther Brunthaler 2006-04-01 09:15:20 UTC
The *first* part of the problem has been solved!

If the following patch is applied, the missig library will be built.
Unfortunately, it will still not be linked against the executable.

--- vfs/Makefile.in.old 2006-04-01 19:02:52.000000000 +0200
+++ vfs/Makefile.in     2006-04-01 19:03:06.000000000 +0200
@@ -183,7 +183,7 @@
 subdirs = @subdirs@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-@USE_SAMBA_FS_TRUE@SUBDIRS = smb extfs
+@USE_SAMBA_FS_TRUE@SUBDIRS = smb samba extfs
 @USE_SAMBA_FS_FALSE@SUBDIRS = extfs
Comment 51 Guenther Brunthaler 2006-04-01 09:36:41 UTC
Here is the next patch which, if applied together with the patch in comment #49, makes the ebuild compile successfully.

I used ebuild ... unpack ... <patch> ... compile ... qmerge with success.

Which means mc will now *build*.

But unfortunately, it does not *work* - and bails out with a segfault if run.

Hmmm... No idea what to try next!

--- src/Makefile.in.old 2006-04-01 19:21:33.000000000 +0200
+++ src/Makefile.in     2006-04-01 19:22:57.000000000 +0200
@@ -208,7 +208,7 @@
 
 @USE_EDIT_TRUE@EDITLIB = ../edit/libedit.a
 
-@USE_SAMBA_FS_TRUE@@USE_VFS_TRUE@VFSLIB = ../vfs/libvfs-mc.a
+@USE_SAMBA_FS_TRUE@@USE_VFS_TRUE@VFSLIB = ../vfs/libvfs-mc.a ../vfs/samba/libsamba.a
 @USE_SAMBA_FS_FALSE@@USE_VFS_TRUE@VFSLIB = ../vfs/libvfs-mc.a
 
 mc_LDADD = $(EDITLIB) $(SLANGLIB) $(VFSLIB) \
Comment 52 Guenther Brunthaler 2006-04-01 09:41:43 UTC
(Just for annotation of comments # 49 and # 59)

ebuild compile uses the following ./configure line on my system

export CFLAGS="-march=athlon-tbird -O3 -DNDEBUG -s -pipe -fomit-frame-pointer -fno-stack-check"

./configure --prefix=/usr --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --with-vfs --with-ext2undel --with-edit --enable-charset --with-screen=slang --with-gpm-mouse --with-included-gettext --with-x --with-samba --with-configdir=/etc/samba --with-codepagedir=/var/lib/samba/codepages --with-privatedir=/etc/samba/private --build=i686-pc-linux-gnu
Comment 53 Guenther Brunthaler 2006-04-01 10:58:25 UTC
Here is a combined patch for comments # 49 to # 51 in the same format
used by the epatch directives.

cat bug-102356-buildfailure.patch 
diff -Naur mc-4.6.0.orig/src/Makefile.in mc-4.6.0/src/Makefile.in
--- mc-4.6.0.orig/src/Makefile.in       2006-04-01 20:41:42.000000000 +0200
+++ mc-4.6.0/src/Makefile.in    2006-04-01 20:41:41.000000000 +0200
@@ -208,7 +208,7 @@
 
 @USE_EDIT_TRUE@EDITLIB = ../edit/libedit.a
 
-@USE_SAMBA_FS_TRUE@@USE_VFS_TRUE@VFSLIB = ../vfs/libvfs-mc.a
+@USE_SAMBA_FS_TRUE@@USE_VFS_TRUE@VFSLIB = ../vfs/libvfs-mc.a ../vfs/samba/libsamba.a
 @USE_SAMBA_FS_FALSE@@USE_VFS_TRUE@VFSLIB = ../vfs/libvfs-mc.a
 
 mc_LDADD = $(EDITLIB) $(SLANGLIB) $(VFSLIB) \
diff -Naur mc-4.6.0.orig/vfs/Makefile.in mc-4.6.0/vfs/Makefile.in
--- mc-4.6.0.orig/vfs/Makefile.in       2006-04-01 20:41:42.000000000 +0200
+++ mc-4.6.0/vfs/Makefile.in    2006-04-01 20:41:42.000000000 +0200
@@ -183,7 +183,7 @@
 subdirs = @subdirs@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-@USE_SAMBA_FS_TRUE@SUBDIRS = smb extfs
+@USE_SAMBA_FS_TRUE@SUBDIRS = smb samba extfs
 @USE_SAMBA_FS_FALSE@SUBDIRS = extfs
 
 DIST_SUBDIRS = extfs
Comment 54 Jakub Moc (RETIRED) gentoo-dev 2006-04-03 00:28:41 UTC
*** Bug 128591 has been marked as a duplicate of this bug. ***
Comment 55 Jakub Moc (RETIRED) gentoo-dev 2006-04-12 12:56:49 UTC
*** Bug 129735 has been marked as a duplicate of this bug. ***
Comment 56 Jakub Moc (RETIRED) gentoo-dev 2006-04-14 07:43:20 UTC
So, everyone here, please test 4.6.1. These patches here are getting really messy and 4.6.1 works out of the box (for me and couple of other people as well at least). In fact, it's the samba patch itself that plain breaks mc-4.6.0 with USE=samba.
Comment 57 Chris Hogevonder 2006-04-14 09:10:42 UTC
(In reply to comment #55)
> So, everyone here, please test 4.6.1. These patches here are getting really
> messy and 4.6.1 works out of the box (for me and couple of other people as well
> at least). In fact, it's the samba patch itself that plain breaks mc-4.6.0 with
> USE=samba.
> 

version 4.6.1 compiles without a problem with Samba support.
Comment 58 Matti Bickel (RETIRED) gentoo-dev 2006-04-14 14:35:39 UTC
mc-4.6.1 is fine on ppc
Comment 59 Mark (voidzero) 2006-04-14 14:42:29 UTC
Works for me! (stereotype ~x86 system)
Comment 60 Jakub Moc (RETIRED) gentoo-dev 2006-04-16 05:29:27 UTC
*** Bug 130162 has been marked as a duplicate of this bug. ***
Comment 61 Jakub Moc (RETIRED) gentoo-dev 2006-04-18 05:30:18 UTC
*** Bug 130316 has been marked as a duplicate of this bug. ***
Comment 62 schaedpq 2006-04-18 06:01:57 UTC
Sorry for being late, I was a few days traveling around. I updated my machine now to 4.6.1. Everything seems to be fine, compiles and emerges without any problems. Didn't manage to do thorough tests until now, but seems to work nicely (x86 system).
Comment 63 Jakub Moc (RETIRED) gentoo-dev 2006-04-19 13:00:17 UTC
Thanks everyone, closing.